Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::node_impl_util::node_type_impl< Node >::event_listener_ptr< EventListenerMember > Class Template Reference

`#include <openvrml/node_impl_util.h>`

Inheritance diagram for openvrml::node_impl_util::node_type_impl< Node >::event_listener_ptr< EventListenerMember >:

[legend]

List of all members.

## Detailed Description

### template<typename Node>
template<typename EventListenerMember>
class openvrml::node_impl_util::node_type_impl< Node >::event_listener_ptr< EventListenerMember >

Concrete pointer-to-member wrapper.

## Public Member Functions

| event_listener_ptr (EventListenerMember Node::*ptr_to_mem)
| Construct.

## Constructor & Destructor Documentation

template<typename Node>
template<typename EventListenerMember>

openvrml::node_impl_util::node_type_impl< Node >::event_listener_ptr< EventListenerMember >::event_listener_ptr | ( | EventListenerMember Node::* | ptr_to_mem | ) | `[inline, explicit]`

Construct.

Parameters:

  `[in]` | ptr_to_mem | a pointer to an `openvrml::event_listener` member.